<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StaticGeometry Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#98c44ba2920c9e07d29548d5ee927b5e">addEntity</a>(Entity *ent, const Vector3 &amp;position, const Quaternion &amp;orientation=Quaternion::IDENTITY, const Vector3 &amp;scale=Vector3::UNIT_SCALE)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a077e3cb67caa3109a5664795644156a">addSceneNode</a>(const SceneNode *node)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#03c94e8a32918dba0fa4321e49f7135f">build</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#dc8fdfc69ff528c77c1157d925212338">buildIndexRemap</a>(T *pBuffer, size_t numIndexes, IndexRemap &amp;remap)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#bd2234981d3ecc0da0b9f358a327fc63">calculateBounds</a>(VertexData *vertexData, const Vector3 &amp;position, const Quaternion &amp;orientation, const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#5156d3d3b98d6bdb56c6c7b7d92925e8">destroy</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#153eea6811c3e42220273c83c10b690f">determineGeometry</a>(SubMesh *sm)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#d132ec657e6e7c040b2b0231ef7b0ab9">dump</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#2efcde5992970bde422ac7465107ee62">getCastShadows</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#1772aa923f7a9518b57419c46c0cb9c0">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#601e05dd3a8f93e39cf6236760d11b6f">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#c8fe190b3218c537348b3be42bbefe28">getRegion</a>(const AxisAlignedBox &amp;bounds, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#a30964e1f8178d327813bed4a7c1e03a">getRegion</a>(const Vector3 &amp;point, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#6b5ab1eaa6226fe62ec63f7e14c047c5">getRegion</a>(ushort x, ushort y, ushort z, bool autoCreate)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#203358f0feb296d3e6728d241bf3611f">getRegion</a>(uint32 index)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#e350aaed77bc5a43c7279a36fbe64e55">getRegionBounds</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#f1ec027edd8942da2318c4b06465b4e4">getRegionCentre</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#305bdacbbce5d91ef9d3dd3df7b4db8c">getRegionDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#3cab04ae06aa79130097f0d82819a5c7">getRegionIndexes</a>(const Vector3 &amp;point, ushort &amp;x, ushort &amp;y, ushort &amp;z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#483ba1dbb7fcbe2be40c6168aaea5c2e">getRegionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#bc64dfea292342cc15fe7b212ee9e6f5">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#6d74f54dfe89ad2567ace23c9dbc60ec">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#b42fd9a095b26414d11b8a69f46ddfa4">getSquaredRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#624c61d68ba303efc8939bd24480f5f6">getVolumeIntersection</a>(const AxisAlignedBox &amp;box, ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#4e1866e85e8c4423fbc9ce36a64d616d">IndexRemap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#5cc43e2a7e7292aed18b44a9661e8ba1">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#12718b6d1611487b71a5ca44681f032a">mBuilt</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#7276450e1765fd0e30ad5dbc5579d3a6">mCastShadows</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#d5e0589f7f076bc4115c9ef4e0ccce5f">mHalfRegionDimensions</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ed8a1cee4285b9c5f68ee6cdb77034e6">mName</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#6c9d832a7c35728a64e9a754a12c4c6f">mOptimisedSubMeshGeometryList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#240ae98ece35afb40a62c306bc9ada9c">mOrigin</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#9b64354296359c4143d3901f144caeee">mOwner</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#7e22ae45c63445dc452204313b4a2bf5">mQueuedSubMeshes</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#32de891715160696eb12e43e284cdf8d">mRegionDimensions</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#07ce1242365254397cebf8718609fb01">mRegionMap</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#30e40527d2a49414f3ea42f5d2c1cec0">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#10ed5bde20ec843a68e43d8a7d1d2916">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#d9e3131cdc5b4fdac50094653bf7504e">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#e65ed08886e5c277250010101472924f">mSubMeshGeometryLookup</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#b5fb89ef8a654d843afbaee9fdccd754">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#d3af8e218d2d7f78ad9a9f75cde20b2c">mVisible</a></td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#2cf30b583c41eb0174b4cbeb5db4e75a">OptimisedSubMeshGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#6a334e24d1edd27244f1c397259ba9b7">packIndex</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#0d1eafab98ba3f36b7ac8d39868bd158">QueuedGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#170301c4c8d1c95dcb322ed825007595">QueuedSubMeshList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#c58b2faf8a71daf21406ed730215a13a">RegionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#f697e3c0524a2e1976e691b38de9b8e1">RegionMap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#62b1551e1142c1464987a9864cf69c92">remapIndexes</a>(T *src, T *dst, const IndexRemap &amp;remap, size_t numIndexes)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#0ac5afd811992ba0967a05c92e3d75ef">reset</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#71907b64bca572d90168f28cb65f23cc">setCastShadows</a>(bool castShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#7e192ed9d7b41ae948b7ca0ed4cb5e0f">setOrigin</a>(const Vector3 &amp;origin)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#91b72934294a81bd107747a076fd8a69">setRegionDimensions</a>(const Vector3 &amp;size)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#275913c7bb86faf4acc86b6bd8e2a9ce">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#8ce1fb9687b9023947683b881d72096b">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#b0d5c294946e519c0dad95dc9802609a">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#ca986f07fe33638829fed388a24edc29">splitGeometry</a>(VertexData *vd, IndexData *id, SubMeshLodGeometryLink *targetGeomLink)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#0487dd0323485acdda054ed41f4cc216">StaticGeometry</a>(SceneManager *owner, const String &amp;name)</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#80c5f8105181b3e77468a87e5351825b">SubMeshGeometryLookup</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#9a3a337c0d120c4c3bf65850c25b103a">SubMeshLodGeometryLinkList</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry.html#6d02bee2716715251c27dd9b4537c3d0">~StaticGeometry</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry.html">Ogre::StaticGeometry</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:05 2008
</p>
</body>
</html>
